Package com.sun.jna.platform.win32

# Class WinDef.SHORT

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.SHORT

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.SHORT>`

Enclosing interface:
  WinDef

public static class WinDef.SHORT extends IntegerType implements Comparable<WinDef.SHORT>
16-bit short.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZE`
  The Constant SIZE.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SHORT()`
  Instantiates a new SHORT.
  `SHORT(long value)`
  Instantiates a new SHORT.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(WinDef.SHORT other)`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIZE

    public static final int SIZE
    The Constant SIZE.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SHORT

    public SHORT()
    Instantiates a new SHORT.

  - ### SHORT

    public SHORT(long value)
    Instantiates a new SHORT.
    Parameters:
      `value` - the value

- ## Method Details

  - ### compareTo

    public int compareTo(WinDef.SHORT other)
    Specified by:
      `compareTo` in interface `Comparable<WinDef.SHORT>`